
package org.tio.sitexxx.im.server.vo;

import cn.hutool.core.bean.BeanUtil;
import lombok.Data;

import java.util.Map;

/**
 * 修改开户信息vo
 * @author xufei
 * 2020年11月2日 下午7:07:44
 */
@Data
public class UpdateOpenVo{
	/**
	 * uid-Y
	 */
	private Integer uid;

	/**
	 * 手机号-Y
	 */
	private String mobile;

	/**
	 * nickName-S
	 */
	private String nickName;

	/**
	 * @author xufei
	 * 2020年11月3日 下午4:58:24
	 */
	public Map<String, Object> toMap() {
		return BeanUtil.beanToMap(this);
	}

	/**
	 * @author xufei
	 * 2020年11月3日 下午4:58:23
	 */
	public static UpdateOpenVo toBean(Map<String, Object> userVo) {
		return BeanUtil.fillBeanWithMap(userVo, new UpdateOpenVo(), true);
	}
}
